## org.plovr.docgen
Class LibraryDescriptor.Builder

    java.lang.Object
      org.plovr.docgen.LibraryDescriptor.Builder

Enclosing class:
  LibraryDescriptor

    public static class LibraryDescriptor.Builder

extends java.lang.Object

Method Summary
`void` `addMethod(MethodDescriptor method)`
`LibraryDescriptor` `build()`
`java.lang.String` `getName()`
`void` `setDescription(java.lang.String description)`
`void` `setName(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### build

    public LibraryDescriptor build()

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### setDescription

    public void setDescription(java.lang.String description)

### addMethod

    public void addMethod(MethodDescriptor method)